# namespaces get-default

{% hint style="warning" %}
**Deprecated:** This command is deprecated. Use [namespaces get-active --id](/products/command-line-interface/reference/workbench/namespaces-get-active.md) instead.
{% endhint %}

## Synopsis

```shell
omics workbench namespaces get-default
```

## Description

Get the default namespace of a user. The namespace can be used with all workbench commands via the `-n` flag. The default namespace is the namespace that is used when the `-n` flag is not provided and it is the namespace provided when the user first logs in to the Workbench UI.

This command has been replaced by [namespaces get-active](/products/command-line-interface/reference/workbench/namespaces-get-active.md), which returns the full namespace details as JSON. To get only the namespace ID (matching the behavior of this command), use `namespaces get-active --id`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-get-default.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
